Skip to main content
GET
Get Runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Api-key
string | null

Path Parameters

pipeline_id
string<uuid>
required

Query Parameters

version_id
string<uuid> | null
status
enum<string>[] | null
Available options:
Pending,
Running,
Succeeded,
Failed,
Error,
Cancelled
limit
integer | null
Required range: 1 <= x <= 100

Response

Successful Response

id
string<uuid>
required
pipeline_config_version_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
finished_at
string<date-time> | null
required
run_steps
PipelineRunStepPublicRead · object[]
required
resume_from_checkpoint_id
string<uuid> | null
warm_start_from_checkpoint_id
string<uuid> | null